<a href="https://dripsy.xyz"><img src="https://dripsy.xyz/og.png" /></a>

Unstyled, universal responsive UI primitives for React Native + Web.

```jsx
<View sx={{ bg: '$primary', height: [100, 200] }} />
```

## Documentation & Installation

- [Documentation](https://dripsy.xyz)
- [Installation](https://dripsy.xyz/get-started/installation)

## Highlights

https://user-images.githubusercontent.com/13172299/136265481-4c93d5bb-15e7-4e5f-9464-64748ebf1214.mp4

- Custom fonts, edited globally
- Full TypeScript support
- Responsive styles
- Universal (Android, iOS, Web, & more)
- Works with Expo
- Works with Vanilla React Native
- Works with Next.js
- Full theme support
- Custom theme variants
- Insanely simple API (themed, responsive designs in one line!)
- Works with Animated/Reanimated/Moti
- Dark mode / custom color modes
- Memoized styles, even when written inline
- Atomic CSS classes, with `StyleSheet.create` under the hood
- Use with `@expo/vector-icons` ([example](https://github.com/nandorojo/dripsy/issues/112))
- Linear Gradient
- Performant: `sx` prop is memoized under the hood (even if you write it in render)
