export declare const aliases: {
    readonly zi: "zIndex";
    readonly dsp: "display";
    readonly pos: "position";
    readonly t: "top";
    readonly r: "right";
    readonly b: "bottom";
    readonly l: "left";
    readonly ov: "overflow";
    readonly ox: "overflowX";
    readonly oy: "overflowY";
    readonly f: "flex";
    readonly fb: "flexBasis";
    readonly fd: "flexDirection";
    readonly fg: "flexGrow";
    readonly fs: "flexShrink";
    readonly fw: "flexWrap";
    readonly jc: "justifyContent";
    readonly ac: "alignContent";
    readonly ai: "alignItems";
    readonly als: "alignSelf";
    readonly col: "color";
    readonly bg: "backgroundColor";
    readonly o: "opacity";
    readonly ff: "fontFamily";
    readonly fos: "fontSize";
    readonly fost: "fontStyle";
    readonly fow: "fontWeight";
    readonly ls: "letterSpacing";
    readonly lh: "lineHeight";
    readonly ta: "textAlign";
    readonly tt: "textTransform";
    readonly ww: "wordWrap";
    readonly m: "margin";
    readonly mt: "marginTop";
    readonly mr: "marginRight";
    readonly mb: "marginBottom";
    readonly ml: "marginLeft";
    readonly mx: "marginHorizontal";
    readonly my: "marginVertical";
    readonly p: "padding";
    readonly pt: "paddingTop";
    readonly pr: "paddingRight";
    readonly pb: "paddingBottom";
    readonly pl: "paddingLeft";
    readonly px: "paddingHorizontal";
    readonly py: "paddingVertical";
    readonly w: "width";
    readonly miw: "minWidth";
    readonly maw: "maxWidth";
    readonly h: "height";
    readonly mih: "minHeight";
    readonly mah: "maxHeight";
    readonly bbc: "borderBottomColor";
    readonly bblr: "borderBottomLeftRadius";
    readonly bber: "borderBottomEndRadius";
    readonly bbrr: "borderBottomRightRadius";
    readonly bbw: "borderBottomWidth";
    readonly blc: "borderLeftColor";
    readonly blw: "borderLeftWidth";
    readonly boc: "borderColor";
    readonly br: "borderRadius";
    readonly bs: "borderStyle";
    readonly brw: "borderRightWidth";
    readonly brc: "borderRightColor";
    readonly btc: "borderTopColor";
    readonly btlr: "borderTopLeftRadius";
    readonly btrr: "borderTopRightRadius";
    readonly btw: "borderTopWidth";
    readonly bw: "borderWidth";
    readonly bls: "borderLeftStyle";
    readonly brs: "borderRightStyle";
    readonly bts: "borderTopStyle";
    readonly bbs: "borderBottomStyle";
    readonly shac: "shadowColor";
    readonly shar: "shadowRadius";
    readonly shof: "shadowOffset";
    readonly shop: "shadowOpacity";
    readonly bxs: "boxSizing";
    readonly bxsh: "boxShadow";
    readonly marginX: "marginHorizontal";
    readonly marginY: "marginVertical";
    readonly paddingX: "paddingHorizontal";
    readonly paddingY: "paddingVertical";
    readonly ussel: "userSelect";
    readonly cur: "cursor";
};
export type Aliases = typeof aliases;
export declare const scales: {
    readonly textShadowColor: "colors";
    readonly shadowColor: "colors";
    readonly color: "colors";
    readonly backgroundColor: "colors";
    readonly borderColor: "colors";
    readonly caretColor: "colors";
    readonly opacity: "opacities";
    readonly margin: "space";
    readonly marginTop: "space";
    readonly marginRight: "space";
    readonly marginBottom: "space";
    readonly marginLeft: "space";
    readonly marginX: "space";
    readonly marginY: "space";
    readonly marginVertical: "space";
    readonly marginHorizontal: "space";
    readonly marginBlock: "space";
    readonly marginBlockEnd: "space";
    readonly marginBlockStart: "space";
    readonly marginInline: "space";
    readonly marginInlineEnd: "space";
    readonly marginInlineStart: "space";
    readonly padding: "space";
    readonly paddingTop: "space";
    readonly paddingRight: "space";
    readonly paddingBottom: "space";
    readonly paddingLeft: "space";
    readonly paddingX: "space";
    readonly paddingY: "space";
    readonly paddingHorizontal: "space";
    readonly paddingVertical: "space";
    readonly paddingBlock: "space";
    readonly paddingBlockEnd: "space";
    readonly paddingBlockStart: "space";
    readonly paddingInline: "space";
    readonly paddingInlineEnd: "space";
    readonly paddingInlineStart: "space";
    readonly inset: "space";
    readonly insetBlock: "space";
    readonly insetBlockEnd: "space";
    readonly insetBlockStart: "space";
    readonly insetInline: "space";
    readonly insetInlineEnd: "space";
    readonly insetInlineStart: "space";
    readonly top: "space";
    readonly right: "space";
    readonly bottom: "space";
    readonly left: "space";
    readonly gridGap: "space";
    readonly gridColumnGap: "space";
    readonly gridRowGap: "space";
    readonly gap: "space";
    readonly columnGap: "space";
    readonly rowGap: "space";
    readonly fontFamily: "fonts";
    readonly fontSize: "fontSizes";
    readonly fontWeight: "fontWeights";
    readonly lineHeight: "lineHeights";
    readonly letterSpacing: "letterSpacings";
    readonly border: "borders";
    readonly borderTop: "borders";
    readonly borderRight: "borders";
    readonly borderBottom: "borders";
    readonly borderLeft: "borders";
    readonly borderWidth: "borderWidths";
    readonly borderStyle: "borderStyles";
    readonly borderRadius: "radii";
    readonly borderTopRightRadius: "radii";
    readonly borderTopLeftRadius: "radii";
    readonly borderBottomRightRadius: "radii";
    readonly borderBottomLeftRadius: "radii";
    readonly borderBottomEndRadius: "radii";
    readonly borderTopWidth: "borderWidths";
    readonly borderTopColor: "colors";
    readonly borderTopStyle: "borderStyles";
    readonly borderBottomWidth: "borderWidths";
    readonly borderBottomColor: "colors";
    readonly borderBottomStyle: "borderStyles";
    readonly borderLeftWidth: "borderWidths";
    readonly borderLeftColor: "colors";
    readonly borderLeftStyle: "borderStyles";
    readonly borderRightWidth: "borderWidths";
    readonly borderRightColor: "colors";
    readonly borderRightStyle: "borderStyles";
    readonly borderBlock: "borders";
    readonly borderBlockEnd: "borders";
    readonly borderBlockEndStyle: "borderStyles";
    readonly borderBlockEndWidth: "borderWidths";
    readonly borderBlockStart: "borders";
    readonly borderBlockStartStyle: "borderStyles";
    readonly borderBlockStartWidth: "borderWidths";
    readonly borderBlockStyle: "borderStyles";
    readonly borderBlockWidth: "borderWidths";
    readonly borderEndEndRadius: "radii";
    readonly borderEndStartRadius: "radii";
    readonly borderInline: "borders";
    readonly borderInlineEnd: "borders";
    readonly borderInlineEndStyle: "borderStyles";
    readonly borderInlineEndWidth: "borderWidths";
    readonly borderInlineStart: "borders";
    readonly borderInlineStartStyle: "borderStyles";
    readonly borderInlineStartWidth: "borderWidths";
    readonly borderInlineStyle: "borderStyles";
    readonly borderInlineWidth: "borderWidths";
    readonly borderStartEndRadius: "radii";
    readonly borderStartStartRadius: "radii";
    readonly outlineColor: "colors";
    readonly boxShadow: "shadows";
    readonly textShadow: "shadows";
    readonly zIndex: "zIndices";
    readonly width: "sizes";
    readonly minWidth: "sizes";
    readonly maxWidth: "sizes";
    readonly height: "sizes";
    readonly minHeight: "sizes";
    readonly maxHeight: "sizes";
    readonly flexBasis: "sizes";
    readonly size: "sizes";
    readonly blockSize: "sizes";
    readonly inlineSize: "sizes";
    readonly maxBlockSize: "sizes";
    readonly maxInlineSize: "sizes";
    readonly minBlockSize: "sizes";
    readonly minInlineSize: "sizes";
    readonly fill: "colors";
    readonly stroke: "colors";
};
export type Scales = typeof scales;
